# coding: utf-8

"""
    ThorNode Query API

    ThorNode Query API  # noqa: E501

    OpenAPI spec version: 1.0.0-oas3
    Contact: zheye@umich.edu
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import unittest

import swagger_client
from swagger_client.api.default_api import DefaultApi  # noqa: E501
from swagger_client.rest import ApiException


class TestDefaultApi(unittest.TestCase):
    """DefaultApi unit test stubs"""

    def setUp(self):
        self.api = DefaultApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_get_thor_chain_pool(self):
        """Test case for get_thor_chain_pool

        Get Pool  # noqa: E501
        """
        pass

    def test_get_thor_chain_pools(self):
        """Test case for get_thor_chain_pools

        Get Pools  # noqa: E501
        """
        pass

    def test_get_thorchain_proxied_constants(self):
        """Test case for get_thorchain_proxied_constants

        Get the Proxied THORChain Constants  # noqa: E501
        """
        pass

    def test_get_thorchain_proxied_endpoints(self):
        """Test case for get_thorchain_proxied_endpoints

        Get the Proxied Pool Addresses  # noqa: E501
        """
        pass

    def test_get_thorchain_proxied_lastblock(self):
        """Test case for get_thorchain_proxied_lastblock

        Get the Proxied THORChain Lastblock  # noqa: E501
        """
        pass

    def test_get_tx_details(self):
        """Test case for get_tx_details

        Get details of a tx by address, asset or tx-id  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
